aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndrew Manison <amanison@anselsystems.com>2010-04-28 14:33:44 +0000
committerAndrew Manison <amanison@anselsystems.com>2010-04-28 14:33:44 +0000
commit64723824fd317225bd675140261c8514acf4cff2 (patch)
tree97bc1842916d25e03a75d15cb17427d32a6a2d36
parent0e1bf50148e1802f3f010d5df4354de0c56924d2 (diff)
downloadaports-64723824fd317225bd675140261c8514acf4cff2.tar.gz
aports-64723824fd317225bd675140261c8514acf4cff2.tar.bz2
aports-64723824fd317225bd675140261c8514acf4cff2.tar.xz
Added rebuild-alpine.sh script, for running in a build bot. Tweaks to top-level makefile.
-rw-r--r--Makefile6
-rwxr-xr-xmakeall.sh5
-rwxr-xr-xrebuild-alpine.sh48
3 files changed, 57 insertions, 2 deletions
diff --git a/Makefile b/Makefile
index 5f0866ec5b..67eb3daaec 100644
--- a/Makefile
+++ b/Makefile
@@ -51,6 +51,12 @@ clean:
abuild cleanpkg; \
done
+fetch:
+ for p in $(all-pkgs) ; do \
+ cd $(rootdir)/$$p; \
+ abuild fetch; \
+ done
+
distclean:
for p in $(all-pkgs) ; \
do \
diff --git a/makeall.sh b/makeall.sh
index 1566f09026..10966c3fdf 100755
--- a/makeall.sh
+++ b/makeall.sh
@@ -1,7 +1,8 @@
#!/bin/sh
-for p in 1 2 3 4 5 6
+for p in 1 2 3
do
echo "============>>> ERROR: Pass $p <<<============"
- make main 2>&1 | tee makelog-pass-$p.txt | grep ">>> ERROR:"
+ make main 2>&1 | tee makelog-pass-$p-main.txt | grep ">>> ERROR:"
+ make testing 2>&1 | tee makelog-pass-$p-testing.txt | grep ">>> ERROR:"
done
diff --git a/rebuild-alpine.sh b/rebuild-alpine.sh
new file mode 100755
index 0000000000..c546a018d9
--- /dev/null
+++ b/rebuild-alpine.sh
@@ -0,0 +1,48 @@
+rootdir=$(pwd)
+
+distclean () {
+ local allpkgs=$(find $rootdir -maxdepth 3 -name APKBUILD -print | sed -e 's/\/APKBUILD//g' | sort)
+ for p in $allpkgs ; do
+ cd $p
+ abuild clean 2>&1
+ abuild cleanoldpkg 2>&1
+ abuild cleanpkg 2>&1
+ abuild cleancache 2>&1
+ done
+}
+
+build () {
+ local pkgs
+ local maintainer
+ pkgs=$(./aport.lua deplist $rootdir $1)
+ for p in $pkgs ; do
+ echo "Building $p"
+ cd $rootdir/$1/$p
+ abuild -r > $rootdir/$1_$p.txt 2>&1
+ if [ "$?" = "0" ] ; then
+ rm $rootdir/$1_$p.txt
+ else
+ maintainer=$(grep Maintainer APKBUILD | cut -d " " -f 3-)
+ if [ -z "$maintainer" ] ; then
+ maintainer="default maintainer"
+ fi
+ echo "Package $1/$p failed to build (output in $rootdir/$1_$p.txt)"
+ echo "Package $1/$p failed to build. Notify $maintainer. Output is attached" | email -s "NOT SPAM $p build report" -a $rootdir/$1_$p.txt -n AlpineBuildBot -f build@alpinelinux.org amanison@anselsystems.com
+ fi
+ done
+ cd $rootdir
+}
+
+echo "Removing traces of previous builds"
+tmp=$(distclean)
+
+echo "Refresh aports tree"
+git pull
+
+for s in main testing nonfree unstable ; do
+ echo "Building packages in $s"
+ build $s
+done
+
+echo "Done"
+